> For the complete documentation index, see [llms.txt](https://docs.motus.org/sensorgnome/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motus.org/sensorgnome/v1/appendix/bonjourbrowser.md).

# Using Bonjour Browser to find the IP address

{% hint style="danger" %}
You are viewing the V1 Legacy SensorGnome user guide. This software has not been updated since 2018.
{% endhint %}

Typically a Raspberry Pi SG can be connected to using an Ethernet cable by visiting `http://sgpi.local` in either Firefox or a Chrome-based browser.

This method relies on networking software called Bonjour to establish the network connection between the RPi and your computer. Bonjour is installed as part of iTunes, but can also be downloaded separately from Apple. Mac computers come with Bonjour already pre-installed.

Sometimes, though, navigating to `http://sgpi.local` does not work, even with Bonjour installed. In these cases, you can use a third party software called Bonjour Browser to find the actual IP address of the RPi SG and access the Web Interface using that.

**1)** Connect the Raspberry Pi SG to your computer using an Ethernet cable and ensure the RPi has power supplied to it.

**2)** Download Bonjour Browser [from here](https://hobbyistsoftware.com/bonjourbrowser) and launch the program.

**3)** Allow enough time for the connection to establish (usually 30-60 seconds) then hit the "Refresh" button in the top right hand corner of Bonjour Browser.

**4)** Look for an entry whose name begins with "sgpi" and click on it.

![Find the entry whose name begins with "sgpi".](/files/-Mejzr70XqcDf2Ib14Un)

**5)** Copy the IP address in the bottom pane

![Copy the IP address](/files/-Mek-Vsn0vrLY39NTkod)

**6)** Paste the IP address into the address bar of Firefox or Chrome *without the port number (the colon and the numbers following it)*

**7)** You should now see the Web Interface.

![](/files/-Mek0TatYeoPWRKgfYGT)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.motus.org/sensorgnome/v1/appendix/bonjourbrowser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
